<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/************************ Version 3b (20220814) ****************************/
/* Requires Version 4.0+ of HAniS: http://www.ssec.wisc.edu/hanis/index.html */
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= true;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="US and Territories Current NOAA Ridge Radar"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr(' - GRLevel3 Radar');
	$showGizmo = true; // Set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'GRLevel3 Radar';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
/************************* Settings *****************************/
$radar = 'br1'; // Default radar type is set here
$radarLoc = 'koax'; // IMPORTAMT!!! Default radar location is set here
$useRadarLoc = true; // Does your site include the radar location in the file name? true or false
$imageDir = 'https://www.gwwilkins.org/grlevel3'; // Location of GRLevel3 images on server - NOTE! - now requires leading slash!
$imageWidth = 620; // Width of radar images
$iframeWidth = $imageWidth; // Default IFrame Width -- should no longer need adjustment
$iframeHeight = 695; // Default IFrame Height -- adjust as needed
$autoRefresh = true; // Use Autorefresh? true or false
$autoRefreshTime = 8; // Number of minutes between autorefreshes.  IMPORTANT: use 2, 3, 4, 5, 6, 8, 10, 15, 20, or 30 ONLY!!!
$autoRefreshDefaultOff = true; // Begin with Autorefresh Off? true or false
$bgndColor = 'silver'; // Set HAniS Background Color Here
$btnColor = 'darkslategray'; // Set Button Color here
$btnTextColor = 'white'; // Set Button Text Color here
############################ New in Version 2 ##########################
$pauseSeconds = 2; // Pause on last image, in seconds
$animRate = 20; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
$numbImages = 10; // Number of images to display - between 3 and the number of images you are uploading
############################ New in Version 3 ##########################
$imageType = 'jpg'; // 'jpg' or 'png'
$useUTC = true; // Use UTC time rather than Zulu time (UTC adds seconds counter)
/*********************** End Settings ***************************/
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>
<script src="./HAniS/hanis_min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	var $jq = jQuery.noConflict();
	function showRadarjs(radar,radarLoc,imageType,imageDir,imageWidth,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,useRadarLoc,bgndColor,autoRefreshDefaultOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,useUTC) { 
		$jq('#showRadar').load('inc-gr3hanis.php', {radar:radar,radarLoc:radarLoc,imageType:imageType,imageDir:imageDir,imageWidth:imageWidth,iframeWidth:iframeWidth,iframeHeight:iframeHeight,autoRefresh:autoRefresh,autoRefreshTime:autoRefreshTime,useRadarLoc:useRadarLoc,bgndColor:bgndColor,autoRefreshDefaultOff:autoRefreshDefaultOff,btnColor:btnColor,btnTextColor:btnTextColor,pauseSeconds:pauseSeconds,animRate:animRate,numbImages:numbImages,useUTC:useUTC});
	}
}
</script>
<style type="text/css">
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}img.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}</style>
</head>
<body>
<?php
if ( !$standAlone ) {
	############################################################################
	include("header.php");
	############################################################################
	include("menubar.php");
############################################################################
}
?>
<?php if (isset($_SESSION['CSSwidescreen'])&&!$standAlone) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : ($imageWidth<660?660:$imageWidth)) ?>px">
  <?php $radarLegend = $_SESSION['CSSwidescreen']!=1?'radarlegend.png':'gr3legend2.png';
 	} else {
		$radarLegend = 'gr3legend2.png'; ?>
		<div id="main-copy" style="width:100%">
	<?php }	?>
  <div class="center" style="width:<?php echo $imageWidth?>px">
  <br/>
    <?php include('inc-gr3hanis.php');?>
<!--      <br />
      <?php #require("./grlevel3/table.php"); ?>  
      <p><h6>This table has been made possible using scripts written by Jordan
      Gerth. &nbsp;Obtain <a href="http://www.wiscwx.com/jordan/crrdr/index.html">these
      scripts</a> for your web site.</h6></p> -->
   </div>
   <div style="width:<?php echo $radarLegend=='radarlegend.png'?'512':'855'?>px" class="center">
		<img class="center" src="./images/<?php echo $radarLegend?>" alt="Radar Legend"/>
  </div>
</div><!-- end main-copy -->

<?php 
############################################################################
if ( !$standAlone ) {
	############################################################################
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>
